{
  description = "Home Manager configuration";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs = { nixpkgs, home-manager, ... }:
    let
      system = "x86_64-linux";
      pkgs = nixpkgs.legacyPackages.${system};
    in
    {
      homeConfigurations = {
        "mandlm@xps" = home-manager.lib.homeManagerConfiguration {
          inherit pkgs;

          modules = [
            ./private/home.nix
            ./private/xps.nix
          ];

          extraSpecialArgs = {
            user = "mandlm";
            userName = "Michael Mandl";
            userEmail = "mandlm@molez.net";
            theme = "dark";
          };
        };
        "mmandl@NB11313" = home-manager.lib.homeManagerConfiguration {
          inherit pkgs;

          modules = [
            ./horsch/home.nix
          ];

          extraSpecialArgs = {
            user = "mmandl";
            userName = "Michael Mandl";
            userEmail = "michael.mandl@horsch.com";
            theme = "dark";
          };
        };
      };
    };
}
